Create a dictionary
curl --request POST \
--url https://api.pineyard.ai/dictionaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"terms": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', terms: ['<string>']})
};
fetch('https://api.pineyard.ai/dictionaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/dictionaries"
payload = {
"name": "<string>",
"terms": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"terms": [
"<string>"
],
"charCount": 123,
"externalId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Dictionaries
Create a dictionary
POST
/
dictionaries
Create a dictionary
curl --request POST \
--url https://api.pineyard.ai/dictionaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"terms": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', terms: ['<string>']})
};
fetch('https://api.pineyard.ai/dictionaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/dictionaries"
payload = {
"name": "<string>",
"terms": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"terms": [
"<string>"
],
"charCount": 123,
"externalId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Required scope:
dictionaries.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json

